{% extends 'core/base.html' %}
{% load static core_tag %}

{% block extra_css %}
    <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.11.5/css/jquery.dataTables.css">
    <link href="{% static 'css/table.css' %}"
          rel="stylesheet">

    <style>
        .title {
            text-align: center;
            margin: 40px 20px 20px 0;
            font-weight: bold;
        }

        .content .head {
            margin-top: 50px;
            display: flex;
            justify-content: center;
            align-items: center;
            border-top: 1px solid #eeeeee;
        }

        .content .body {
            margin-top: 20px;
        }

    </style>
{% endblock %}

{% block content %}

    <main>
        {% include 'core/plane_svg.html' %}
        <h1>Hola: {{ request.user|get_name }}</h1>
    </main>

    <div class="content">
        <div class="head">
            <strong class="title">Menu para rol: {{ user.role }}</strong>
        </div>

        {% include 'core/alert_message.html' %}

        <div class="body">
            <div class="select-menu active">
                <ul class="options">
                    {% for m in menu %}
                        <li class="option">
                            <i class="{{ m.icono }}" style="color: #E1306C;"></i>
                            <a href="{{ m.url }}">
                                <span class="option-text">{{ m.name }}</span>
                            </a>
                        </li>
                    {% endfor %}
                </ul>
            </div>
        </div>
    </div>

{% endblock %}


{% block extra_js %}
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="//cdn.datatables.net/1.11.5/js/jquery.dataTables.min.js"></script>

    <script>

        $(document).ready(function () {
            $('#table-id').DataTable({
                "language": {
                    "lengthMenu": "Mostrar _MENU_",
                    "zeroRecords": "No encontramos nada - lo siento!",
                    "info": "Mostrando página _PAGE_ de _PAGES_",
                    "search": "Buscar:",
                    "infoEmpty": "No se encontraron registros",
                    "infoFiltered": "(Filtrando de _MAX_ total registros)",
                    "paginate": {
                        "first": "Primero",
                        "last": "Ultimo",
                        "next": "Siguiente",
                        "previous": "Anterior"
                    },
                }
            });
        });
    </script>
{% endblock %}